# Create Payout

> 📘 Requesting a payout consists of 2 steps
>
> 1. **Create** \<--- in this page
> 2. Commit / Cancel

## Create Payout

Make a [`POST /payouts`](https://docs.unipaas.com/reference/payoutcontroller_createpayout) request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/payouts' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>' \
  --data-raw '{
  	"eWalletId": "123456",
    "payoutOptionId": "654321",
    "payoutMethod": "",
    "currency": "GBP"
   }'
```

In the response, you'll get the created [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object). 

## Create Vendor Payout

Make a [`POST /vendors/{vendorId}/payouts`](https://docs.unipaas.com/reference/vendorpayoutcontroller_createpayout) request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/vendors/{vendorId}/payouts' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>' \
  --data-raw '{
  	"eWalletId": "123456",
    "payoutOptionId": "654321",
    "payoutMethod": "",
    "currency": "GBP"
   }'
```

In the response, you'll get the created [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object).

> 🚧 A created payout should be canceled or committed
>
> If a payout is left pending, payout funds will be locked for other payout requests until the original payout is canceled or committed to.
